complexType "PaymentDates"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (calculationPeriodDatesReference | resetDatesReference | valuationDatesReference)?, paymentFrequency?, firstPaymentDate?, lastRegularPaymentDate?, payRelativeTo?, paymentDaysOffset?, paymentDatesAdjustments?
</...>

Content Model Elements (9):

  calculationPeriodDatesReference (in paymentDates), firstPaymentDate (in paymentDates), lastRegularPaymentDate (in paymentDates), paymentDatesAdjustments, paymentDaysOffset, | paymentFrequency (in paymentDates), payRelativeTo, resetDatesReference, valuationDatesReference

All Direct / Indirect Based Elements (1):

  paymentDates

Known Usage Locations

- As direct type of elements (1):
  paymentDates

Annotation
For use with pre-trade Credit Limit Check messages. A type defining parameters used to generate the payment dates schedule, including the specification of early or delayed payments. Payment dates are determined relative to the calculation period dates or the reset dates.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="PaymentDates"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/> <xsd:element name="resetDatesReference" type="ResetDatesReference"/> <xsd:element name="valuationDatesReference" type="ValuationDatesReference"/> </xsd:choice> <xsd:element minOccurs="0" name="paymentFrequency" type="Frequency"/> <xsd:element minOccurs="0" name="firstPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="lastRegularPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"/> <xsd:element minOccurs="0" name="paymentDaysOffset" type="Offset"/> <xsd:element minOccurs="0" name="paymentDatesAdjustments" type="BusinessDayAdjustments"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 9/9)
calculationPeriodDatesReference

  Type: | CalculationPeriodDatesReference, empty content

  A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/>

firstPaymentDate

  Type: | xsd:date, predefined, simple content

  The first unadjusted payment date. This day may be subject to adjustment in accordance with any business day convention specified in paymentDatesAdjustments. This element must only be included if there is an initial stub. This date will normally correspond to an unadjusted calculation period start or end date. This is true even if early or delayed payment is specified to be applicable since the actual first payment date will be the specified number of days before or after the applicable adjusted calculation period start or end date with the resulting payment date then being adjusted in accordance with any business day convention specified in paymentDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstPaymentDate" type="xsd:date"/>

lastRegularPaymentDate

  Type: | xsd:date, predefined, simple content

  For use of the pre-trade Credit Limit Check messages. The last regular unadjusted payment date. This day may be subject to adjustment in accordance with any business day convention specified in paymentDatesAdjustments. This element must only be included if there is a final stub. All calculation periods after this date contribute to the final payment. The final payment is made relative to the final set of calculation periods or the final reset date as the case may be. This date will normally correspond to an unadjusted calculation period start or end date. This is true even if early or delayed payment is specified to be applicable since the actual last regular payment date will be the specified number of days before or after the applicable adjusted calculation period start or end date with the resulting payment date then being adjusted in accordance with any business day convention specified in paymentDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lastRegularPaymentDate" type="xsd:date"/>

paymentDatesAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention to apply to each payment date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDatesAdjustments" type="BusinessDayAdjustments"/>

paymentDaysOffset

  Type: | Offset, complex content

  If early payment or delayed payment is required, specifies the number of days offset that the payment occurs relative to what would otherwise be the unadjusted payment date. The offset can be specified in terms of either calendar or business days. Even in the case of a calendar days offset, the resulting payment date, adjusted for the specified calendar days offset, will still be adjusted in accordance with the specified payment dates adjustments. This element should only be included if early or delayed payment is applicable, i.e. if the periodMultiplier element value is not equal to zero. An early payment would be indicated by a negative periodMultiplier element value and a delayed payment (or payment lag) would be indicated by a positive periodMultiplier element value.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDaysOffset" type="Offset"/>

paymentFrequency

  Type: | Frequency, complex content

  The frequency at which regular payment dates occur. If the payment frequency is equal to the frequency defined in the calculation period dates component then one calculation period contributes to each payment amount. If the payment frequency is less frequent than the frequency defined in the calculation period dates component then more than one calculation period will contribute to the payment amount. A payment frequency more frequent than the calculation period frequency or one that is not a multiple of the calculation period frequency is invalid. If the payment frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentFrequency" type="Frequency"/>

payRelativeTo

  Type: | PayRelativeToEnum, simple content

  For use of the pre-trade Credit Limit Check messages. Specifies whether the payments occur relative to each adjusted calculation period start date, adjusted calculation period end date or each reset date. The reset date is applicable in the case of certain euro (former French Franc) floating rate indices. Calculation period start date means relative to the start of the first calculation period contributing to a given payment. Similarly, calculation period end date means the end of the last calculation period contributing to a given payment.The valuation date is applicable for Brazilian-CDI swaps.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriodStartDate" | - | Payments will occur relative to the first day of each calculation period. See: http://www.FpML.org
  "CalculationPeriodEndDate" | - | Payments will occur relative to the last day of each calculation period. See: http://www.FpML.org
  "LastPricingDate" | - | Payments will occur relative to the last Pricing Date of each Calculation Period. See: http://www.FpML.org
  "ResetDate" | - | Payments will occur relative to the reset date. See: http://www.FpML.org
  "ValuationDate" | - | Payments will occur relative to the valuation date. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"/>

resetDatesReference

  Type: | ResetDatesReference, empty content

  A pointer style reference to the associated reset dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resetDatesReference" type="ResetDatesReference"/>

valuationDatesReference

  Type: | ValuationDatesReference, empty content

  A pointer style reference to the associated valuation dates component defined elsewhere in the document. Implemented for Brazilian-CDI Swaps where it will refer to the settlemementProvision/nonDeliverableSettlement/fxFixingDate structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="valuationDatesReference" type="ValuationDatesReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.